Mail archive
alpine-aports

Re: [alpine-aports] [PATCH] main/geany: fix vte emulation

From: Natanael Copa <ncopa_at_alpinelinux.org>
Date: Sun, 25 Jan 2015 12:27:40 +0100

On Thu, 22 Jan 2015 11:01:56 +0000
AmatCoder <amatcoder_at_gmail.com> wrote:

> Replace only the first 'xterm' because the other is the terminal
> emulation to use and it must be 'xterm'.
> ---
> main/geany/APKBUILD | 4 ++--
> 1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/main/geany/APKBUILD b/main/geany/APKBUILD
> index 12597d0..eceec52 100644
> --- a/main/geany/APKBUILD
> +++ b/main/geany/APKBUILD
> _at_@ -1,7 +1,7 @@
> # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
> pkgname=geany
> pkgver=1.24.1
> -pkgrel=0
> +pkgrel=1
> pkgdesc="A fast and lightweight IDE"
> url="http://www.geany.org"
> arch="all"
> _at_@ -47,7 +47,7 @@ prepare() {
> esac
> done
> # set default terminal to Terminal
> - sed -e 's/xterm/Terminal/g' \
> + sed -e '1,/xterm/s/xterm/Terminal/' \
> -i src/keyfile.c
> }
>

I wonder if it would be better to implement it as a patch instead of
sed. If they for some reason would insert 'xterm' in a comment or
whatever it will break things again.

-nc


---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jan 25 2015 - 12:27:40 GMT